Author: Nathan Pratta Teodosio <nathan.teodosio@canonical.com>, oreo639
Description: Fix build for poppler >22.03

--- a/pdftoipe/pdftoipe.cpp	2022-06-15 08:45:57.248773786 -0300
+++ b/pdftoipe/pdftoipe.cpp	2022-06-15 08:45:23.915883939 -0300
@@ -7,6 +7,7 @@
 #include <stdlib.h>
 #include <stddef.h>
 #include <string.h>
+#include <poppler/cpp/poppler-version.h>
 
 #include "goo/GooString.h"
 #include "goo/gmem.h"
@@ -84,6 +85,20 @@
   if (quiet)
     globalParams->setErrQuiet(quiet);
 
+#if POPPLER_VERSION_MAJOR > 22 || (POPPLER_VERSION_MAJOR == 22 && POPPLER_VERSION_MINOR >= 3)
+  std::optional<GooString> ownerPW, userPW;
+  if (ownerPassword[0]) {
+    ownerPW = GooString(ownerPassword);
+  } else {
+    ownerPW = std::nullopt;
+  }
+  if (userPassword[0]) {
+    userPW = GooString(userPassword);
+  } else {
+    userPW = std::nullopt;
+  }
+  PDFDoc *doc = new PDFDoc(std::make_unique<GooString>(fileName), ownerPW, userPW);
+#else
   GooString *ownerPW, *userPW;
   if (ownerPassword[0]) {
     ownerPW = new GooString(ownerPassword);
@@ -100,6 +115,7 @@
   PDFDoc *doc = new PDFDoc(fileName, ownerPW, userPW);
   delete userPW;
   delete ownerPW;
+#endif
 
   if (!doc->isOk())
     return 1;
